[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum RFE



On Wed, Oct 18, 2006 at 03:54:05PM -0800, Jeff Spaleta wrote:
> On 10/18/06, Alan Cox <alan redhat com> wrote:
> >"Package [foo] from 'unimploded-wombats-repository' wishes to replace glibc
> > in your base system. This may lead to future update or incompatibility
> > problems. Are you sure Y/N"
> 
> Can't we go further and have a tool that proactively looks at
> cross-repo conflicts when a new repo is enabled so users can get a
> summary of exactly those packages which may be replaced before the
> actual package management action takes place?

I'd love to have such a tool for being able to create two different
subrepos automagically, a non-replacing one and the rest (or full
content). The latter shouldn't only list direct relationshsips (like
upgrades/obsoletes), but also dependent packages, e.g. if superfoo
requires baz >= 2, and the base repo only has baz 1, the both baz-2
and superfoo should be considered conflicting with the base repo (this
is to prevent a subrepo of non-replacing packages w/o closure).

The tool's mechanics could probably be used both on the client and
server side (yum and createrepo).
-- 
Axel.Thimm at ATrpms.net

Attachment: pgp1AiQuYGkM6.pgp
Description: PGP signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]